// jest-dom adds custom jest matchers for asserting on DOM nodes.
// allows you to do things like:
// expect(element).toHaveTextContent(/react/i)
// learn more: https://github.com/testing-library/jest-dom
import '@testing-library/jest-dom';

// Сбросить переменную окружения PUBLIC_URL для тестов
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
process.env.PUBLIC_URL = '';

// Эмуляция API window.matchMedia
global.matchMedia =
  global.matchMedia ||
  function () {
    return {
      addListener: jest.fn(),
      removeListener: jest.fn(),
    };
  };
